﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfSchedule_F130291
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            schedule.AppointmentEndDragging += Schedule_AppointmentEndDragging;
        }

        private void Schedule_AppointmentEndDragging(object sender, Syncfusion.UI.Xaml.Schedule.AppointmentEndDraggingEventArgs e)
        {
            var draggedAppoitment = (e.Appointment as ScheduleAppointment);
            int index = (schedule.Appointments as ScheduleAppointmentCollection).IndexOf(draggedAppoitment);
            var date = new DateTime(e.To.Year, e.To.Month, e.To.Day, e.To.Hour, 0, 0);

            var endTime = ((schedule.Appointments as ScheduleAppointmentCollection)[index] as ScheduleAppointment).EndTime - ((schedule.Appointments as ScheduleAppointmentCollection)[index] as ScheduleAppointment).StartTime;
            if ((e.To.Minute >= 0) && (e.To.Minute < 60))
            {
                date = new DateTime(e.To.Year, e.To.Month, e.To.Day, e.To.Hour, 0, 0);
            }
            ((schedule.Appointments as ScheduleAppointmentCollection)[index] as ScheduleAppointment).StartTime = date;
            ((schedule.Appointments as ScheduleAppointmentCollection)[index] as ScheduleAppointment).EndTime = ((schedule.Appointments as ScheduleAppointmentCollection)[index] as ScheduleAppointment).StartTime.Add(endTime);           
            e.Cancel = true;
        }
    

        private void SfSchedule_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            // TimeInterval - 1 Hour (per day 24)
            // Schedule Header Height - 80
            schedule.IntervalHeight =( e.NewSize.Height-80) / 24;
        }
    }
}
